showing = true
RegisterCommand("holograms", function()
    if showing then
        msg("^1Disabled Holograms")
        showing = false
        return
    else 
        msg("^2Enabled Holograms")
        showing = true
    end
end)
TriggerEvent('chat:addSuggestion', '/holograms', 'Toggles holograms across the server', {})
Citizen.CreateThread(function()
    Holograms()
end)

function AddTextEntry(key, value)
	Citizen.InvokeNative(GetHashKey("ADD_TEXT_ENTRY"), key, value)
end

function Holograms()
	while true do
		Citizen.Wait(0)	
		if showing then
            if GetDistanceBetweenCoords( -1283.5988769531,-2186.3830566406,13.944701194763, GetEntityCoords(GetPlayerPed(-1))) < 100.0 then
                Draw3DText( -1283.5988769531,-2186.3830566406,13.944701194763 -0.500, "~y~Example Hologram", 4, 0.6, 0.6)	
            end
        end
    end
end

function msg(text)
	TriggerEvent("chatMessage", "[SYSTEM]", { 59, 167, 255}, text)
end

function Draw3DText(x,y,z,textInput,fontId,scaleX,scaleY)
	local px,py,pz=table.unpack(GetGameplayCamCoords())
	local dist = GetDistanceBetweenCoords(px,py,pz, x,y,z, 1)    
	local scale = (1/dist)*20
	local fov = (1/GetGameplayCamFov())*100
	local scale = scale*fov   
	SetTextScale(scaleX*scale, scaleY*scale)
	SetTextFont(fontId)
	SetTextProportional(1)
	SetTextColour(250, 250, 250, 255)		
	SetTextDropshadow(1, 1, 1, 1, 255)
	SetTextEdge(2, 0, 0, 0, 150)
	SetTextDropShadow()
	SetTextOutline()
	SetTextEntry("STRING")
	SetTextCentre(1)
	AddTextComponentString(textInput)
	SetDrawOrigin(x,y,z+2, 0)
	DrawText(0.0, 0.0)
	ClearDrawOrigin()
   end